        program irharmo
c  Trivial (i know ... almost reprehensible) code to calculate 
c  repetitions of L for a given N=2nbeta+tau.   ... ehm...change 
c  N manually if you don't have anything better to do.
c  Written by L.Fortunato, dec. '03     :->
        implicit integer(a-z)
        dimension mrep(0:100)

        Nmax=30

        do N=0,Nmax
         do L=0,100
           mrep(L)=0
         enddo
         do nb=0,nint(real(N)/2.-0.01)
           tau=N-2*nb
           numax=int(tau/3)
           do nu=0,numax
             K=tau-3*nu
             do L=K,2*K
               if(L.eq.(2*K-1)) goto 100 
               mrep(L)=mrep(L)+1
 100        enddo
           enddo
         enddo  
         sum=0
         do L=0,100
           if(mrep(L).gt.0) then
           sum=sum+mrep(L)-1
           endif
         enddo
         print *,N,sum
        enddo
        end
